> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取指定音乐的视频列表数据

> 获取指定音乐的视频列表数据

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">每次请求</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 让 AI 帮你写调用代码</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">点击按钮复制一段结构化提示词，可直接交给 ChatGPT、Claude 或其他 AI 助手生成接口调用代码。</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`我需要调用以下 KeyAPI 接口，请根据提供的接口信息生成一份可直接运行的 Python 示例代码。

## 接口信息

Endpoint: GET https://api.keyapi.ai/v1/douyin/app/fetch_music_video_list
Summary: 获取指定音乐的视频列表数据

Required Headers:
- Authorization: Bearer <YOUR_API_KEY>

Parameters:
- music_id (Required): 音乐id. Example: 7136850194742315016
- cursor (Optional): 翻页游标，默认为0，从上一次响应中的cursor获取，第一页为0.
- count (Optional): 每页数量，默认10，建议不要更改.


## 代码要求

- 使用 Python \`requests\` 库
- 提供完整、可直接运行的示例
- 处理 HTTP 请求异常、超时以及非 2xx 响应
- 处理 JSON 解析异常
- 示例参数优先使用接口信息中提供的 Example
- 保持代码简洁，避免不必要的封装和复杂设计
`)}
    >
      ✨ 复制给 AI
    </button>
  </div>
</div>


## OpenAPI

````yaml zh/douyin-app.zh.openapi.json GET /v1/douyin/app/fetch_music_video_list
openapi: 3.0.1
info:
  title: Douyin App API 中文文档
  description: Douyin App API 的中文参考文档。
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/douyin/app/fetch_music_video_list:
    get:
      tags: []
      summary: 获取指定音乐的视频列表数据
      description: 获取指定音乐的视频列表数据
      parameters:
        - name: music_id
          in: query
          description: 音乐id
          required: true
          example: '7136850194742315016'
          schema:
            type: string
            example: '7136850194742315016'
        - name: cursor
          in: query
          description: 翻页游标，默认为0，从上一次响应中的cursor获取，第一页为0
          required: false
          example: ''
          schema:
            type: integer
            default: 0
        - name: count
          in: query
          description: 每页数量，默认10，建议不要更改
          required: false
          example: ''
          schema:
            type: integer
            default: 10
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  aweme_list:
                    - aweme_id: '7337202588510670116'
                      desc: 凛的心房#糸师凛
                      create_time: 1708325613
                      author:
                        uid: '95482567278'
                        short_id: '595547309'
                        nickname: 巴日和玩水之呼吸
                        signature: |-
                          一个梦想是在家里天天睡大觉的老年人。老番厨，搞扣死普雷兼破画画的，坑多且杂。
                          饭搭子：@南翎
                        avatar_larger:
                          uri: >-
                            1080x1080/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_thumb:
                          uri: >-
                            100x100/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_medium:
                          uri: >-
                            720x720/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne.jpeg?from=327834062
                          width: 720
                          height: 720
                        is_verified: true
                        follow_status: 0
                        is_block: false
                        location: ''
                        hide_location: false
                        custom_verify: ''
                        unique_id: ''
                        story_count: 0
                        room_id: 0
                        authority_status: 0
                        verify_info: ''
                        share_info:
                          share_url: ''
                          share_weibo_desc: ''
                          share_desc: ''
                          share_title: ''
                          share_qrcode_url:
                            uri: 6cc30014e20a761333dc
                            url_list:
                              - >-
                                https://p3-sign.douyinpic.com/obj/6cc30014e20a761333dc?lk3s=138a59ce&x-expires=1787216400&x-signature=32RkaB7Wo7U7G55Hh8FmKH0vgUE%3D&from=327834062
                            width: 720
                            height: 720
                          share_title_myself: ''
                          share_title_other: ''
                          share_desc_info: ''
                        with_commerce_entry: false
                        verification_type: 1
                        enterprise_verify_reason: ''
                        is_ad_fake: false
                        followers_detail: null
                        region: CN
                        sync_to_toutiao: 0
                        commerce_user_level: 0
                        story_message: 4
                        hide_others_recommend_interest: 0
                        hide_self_recommend_interest: 0
                        is_discipline_member: false
                        secret: 0
                        video_icon:
                          uri: ''
                          url_list: []
                          width: 720
                          height: 720
                        is_gov_media_vip: false
                        follower_status: 0
                        cover_url:
                          - uri: c8510002be9a3a61aad2
                            url_list:
                              - >-
                                https://p3-sign.douyinpic.com/obj/c8510002be9a3a61aad2?lk3s=138a59ce&x-expires=1788404400&x-signature=W0Qz%2Fj0450szrC5EUsoRzvcEKT8%3D&from=327834062
                            width: 720
                            height: 720
                        language: zh-Hans
                        allow_story_normal_like: true
                        story25_comment: 1
                        has_unread_story: false
                        is_star: false
                        ad_cover_url: null
                        avatar_168x168:
                          uri: >-
                            168x168/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne
                          url_list:
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne~c5_168x168.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne~c5_168x168.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_300x300:
                          uri: >-
                            300x300/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne
                          url_list:
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne~c5_300x300.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c000-ce_oMEApqDA6EZAaw9m3HIABiiE5nBvgaA97f6fne~c5_300x300.jpeg?from=327834062
                          width: 720
                          height: 720
                        relative_users: null
                        cha_list: null
                        sec_uid: >-
                          MS4wLjABAAAA7hDP4dUk70jFndICVa5UCHtc18sNP4OJIv8mkMqJQtY
                        prevent_download: false
                        comment_setting: 0
                        duet_setting: 0
                        download_setting: -1
                        comment_filter_status: 0
                        stitch_setting: 0
                        is_mix_user: false
                        story_ttl: 7
                        story_interactive: 4
                        live_status: 0
                        account_cert_info: '{}'
                        private_relation_list: null
                        risk_notice_text: ''
                      music:
                        id: 7136850194742315000
                        id_str: '7136850194742315016'
                        title: 深海
                        author: FRESH_ye
                        album: ''
                        cover_hd:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:1080:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        cover_large:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:720:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        cover_medium:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:200:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        cover_thumb:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:100:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        play_url:
                          uri: >-
                            https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-ve-2774/o46YfRnIh8C4R3BHMADD5vtMAR9wbZufklBRgW
                          url_list:
                            - >-
                              https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-ve-2774/o46YfRnIh8C4R3BHMADD5vtMAR9wbZufklBRgW
                            - >-
                              https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-ve-2774/o46YfRnIh8C4R3BHMADD5vtMAR9wbZufklBRgW
                          width: 720
                          height: 720
                          url_key: '7136850194742315016'
                        schema_url: ''
                        source_platform: 25
                        start_time: 0
                        end_time: 0
                        duration: 208
                        extra: >-
                          {"aggregate_exempt_conf":[],"aigc_clip":false,"beats":{"audio_effect_onset":"https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/ogFXCQkQnEIXzBadgDbeCTAAm87OAlAtgo0ZSe","beats_tracker":"https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW","energy_trace":"https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/oIvvP2CKaHzEQ8aeTAKA4CNeQzzmFAWEFBvAqe","merged_beats":"https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o8M3AnXQsA8zASlbtgKenNleaFZKXC7VDQtBAV"},"cover_colors":{"rgb":[43,43,43]},"douyin_beats_info":{},"dsp_switch":0,"has_edited":0,"hotsoon_review_time":-1,"image_beats_url":"https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW","is_aed_music":0,"is_red":0,"is_subsidy_exp":false,"long_pic_video_usable":true,"loudness":"-14.396366","mini_luna":true,"music_label_id":1112,"music_tagging":{"AEDs":["non_vocal"],"Genres":["Easy
                          Listening"],"Instruments":null,"Languages":["non_vocal"],"Moods":["Miss","Memory"],"SingingVersions":null,"Themes":null},"peak":"1.0097046","review_unshelve_reason":0,"reviewed":0,"schedule_search_time":0,"with_aed_model":0}
                        user_count: 0
                        position: null
                        collect_stat: 0
                        status: 1
                        offline_desc: ''
                        owner_id: '103125294335'
                        owner_nickname: ''
                        is_original: true
                        mid: '7136850194742315016'
                        binded_challenge_id: 0
                        redirect: false
                        is_restricted: false
                        author_deleted: false
                        is_del_video: false
                        is_video_self_see: false
                        owner_handle: ''
                        author_position: null
                        prevent_download: false
                        strong_beat_url:
                          uri: >-
                            https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o0nDEZEtCBilWgAA9rCBfi00eANhkEnvZa2ixA
                          url_list:
                            - >-
                              https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o0nDEZEtCBilWgAA9rCBfi00eANhkEnvZa2ixA
                            - >-
                              https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o0nDEZEtCBilWgAA9rCBfi00eANhkEnvZa2ixA
                          width: 720
                          height: 720
                        unshelve_countries: null
                        prevent_item_download_status: 0
                        external_song_info: []
                        sec_uid: >-
                          MS4wLjABAAAAnlQY0AxmWa32-TITF_r9INsmcPDtFztDbqZfgW7CFk4
                        avatar_thumb:
                          uri: >-
                            100x100/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_medium:
                          uri: >-
                            720x720/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_large:
                          uri: >-
                            1080x1080/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.jpeg?from=327834062
                          width: 720
                          height: 720
                        preview_start_time: 0
                        preview_end_time: 0
                        is_commerce_music: false
                        is_original_sound: false
                        audition_duration: 208
                        shoot_duration: 208
                        reason_type: 0
                        artists:
                          - uid: '103125294335'
                            sec_uid: >-
                              MS4wLjABAAAAnlQY0AxmWa32-TITF_r9INsmcPDtFztDbqZfgW7CFk4
                            nick_name: FRESH_ye
                            handle: FRESHye69513
                            avatar:
                              uri: >-
                                168x168/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                              url_list:
                                - >-
                                  https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea~c5_168x168.webp?from=327834062
                                - >-
                                  https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea~c5_168x168.jpeg?from=327834062
                            is_verified: false
                            enter_type: 1
                        lyric_short_position: null
                        mute_share: false
                        tag_list: null
                        dmv_auto_show: false
                        is_pgc: true
                        is_matched_metadata: false
                        is_audio_url_with_cookie: false
                        music_chart_ranks: null
                        can_background_play: true
                        music_status: 1
                        video_duration: 6000
                        pgc_music_type: 1
                        cover_color_hsv:
                          h: 0
                          s: 0
                          v: 17
                        author_status: 1
                        search_impr:
                          entity_id: '7136850194742315016'
                        song:
                          id: 7136850194742299000
                          id_str: '7136850194742298632'
                          title: 深海
                          artists: null
                          chorus:
                            start_ms: 25152
                            duration_ms: 68352
                          chorus_v3_infos: null
                        artist_user_infos: null
                        dsp_status: 0
                        musician_user_infos: null
                        music_image_beats:
                          music_image_beats_url:
                            uri: >-
                              tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW
                            url_list:
                              - >-
                                https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW
                            width: 720
                            height: 720
                        music_collect_count: 0
                        music_cover_atmosphere_color_value: ''
                        show_origin_clip: false
                        talent_hashtag_name_list: null
                      cha_list:
                        - cid: '1740936036575244'
                          cha_name: 糸师凛
                          desc: ''
                          schema: aweme://aweme/challenge/detail?cid=1740936036575244
                          author:
                            uid: '0'
                            short_id: '0'
                            nickname: ''
                            gender: 0
                            signature: ''
                            avatar_larger:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            avatar_thumb:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            avatar_medium:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            birthday: ''
                            follow_status: 0
                            is_block: false
                            constellation: 0
                            unique_id: ''
                            bind_phone: ''
                            followers_detail: null
                            region: ''
                            platform_sync_info: null
                            show_image_bubble: false
                            geofencing: null
                            unique_id_modify_time: 0
                            video_icon:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            with_dou_entry: false
                            is_phone_binded: false
                            has_email: false
                            status: 0
                            create_time: 0
                            avatar_uri: ''
                            cover_url: []
                            language: ''
                            item_list: null
                            new_story_cover: null
                            type_label: null
                            ad_cover_url: null
                            avatar_168x168:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            avatar_300x300:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            relative_users: null
                            cha_list: null
                            sec_uid: ''
                            need_points: null
                            homepage_bottom_toast: null
                            can_set_geofencing: null
                            white_cover_url: null
                            user_tags: null
                            ban_user_functions: null
                            aweme_control: {}
                            card_entries: null
                            display_info: null
                            card_entries_not_display: null
                            card_sort_priority: null
                            interest_tags: null
                            search_impr:
                              entity_id: '0'
                            link_item_list: null
                            user_permissions: null
                            offline_info_list: null
                            signature_extra: null
                            personal_tag_list: null
                            cf_list: null
                            im_role_ids: null
                            not_seen_item_id_list: null
                            follower_list_secondary_information_struct: null
                            endorsement_info_list: null
                            text_extra: null
                            contrail_list: null
                            data_label_list: null
                            not_seen_item_id_list_v2: null
                            special_people_labels: null
                            familiar_visitor_user: null
                            avatar_schema_list: null
                            profile_mob_params: null
                            verification_permission_ids: null
                            batch_unfollow_relation_desc: null
                            batch_unfollow_contain_tabs: null
                            creator_tag_list: null
                            private_relation_list: null
                            identity_labels: null
                            profile_component_disabled: null
                            profile_signature_components: null
                            webcast_preview_labels: null
                          user_count: 0
                          share_info:
                            share_url: >-
                              https://www.iesdouyin.com/share/challenge/1740936036575244/?u_code=-1&from_ssr=1
                            share_weibo_desc: '我在抖音参与话题讨论#糸师凛 '
                            share_desc: 在抖音，记录美好生活
                            share_title: '我在抖音参与话题讨论#糸师凛 '
                            bool_persist: 0
                            share_title_myself: ''
                            share_title_other: ''
                            share_signature_url: ''
                            share_signature_desc: ''
                            share_quote: ''
                            share_desc_info: '我在抖音参与话题讨论#糸师凛 '
                          connect_music: []
                          type: 1
                          sub_type: 0
                          is_pgcshow: false
                          collect_stat: 0
                          is_challenge: 0
                          view_count: 0
                          is_commerce: false
                          hashtag_profile: image-cut-tos/d50502be500c5232792cdd42ed349744.jpg
                          cha_attrs: null
                          banner_list: null
                          extra_attr:
                            is_live: false
                          show_items: null
                          search_impr:
                            entity_id: '1740936036575244'
                          insert_template_category_list: null
                      video:
                        play_addr:
                          uri: v0200fg10000cn9fkv3c77u9bk9892m0
                          url_list:
                            - >-
                              https://v26-colds.douyinvod.com/030b6a8d93ed14012e38ed1263a4977a/6a868602/video/tos/cn/tos-cn-ve-15/ocHAUplige9FD8uAevAuSQInlgpC0VJBYTbVwS/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2201&bt=2201&cs=0&ds=3&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=0&rc=NjU1NTtmZGVmOzY1Njo5PEBpMzU7bjw6ZnlpcTMzNGkzM0BeXi1iYC0wNTMxNWIxLjM1YSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e0008f008&cdn_type=7&cquery=103Q_103R_103S_100b_105J&dy_q=1787197413&feature_id=f0150a16a324336cda5d6dd0b69ed299&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=99ce226b43d9514e1d083455d5dd43f0&pwid=1&req_cdn_type=r
                            - >-
                              https://v11-colds.douyinvod.com/0363e520f21bdfc000220a5a6b2827c6/6a868602/video/tos/cn/tos-cn-ve-15/ocHAUplige9FD8uAevAuSQInlgpC0VJBYTbVwS/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2201&bt=2201&cs=0&ds=3&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=0&rc=NjU1NTtmZGVmOzY1Njo5PEBpMzU7bjw6ZnlpcTMzNGkzM0BeXi1iYC0wNTMxNWIxLjM1YSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=7&cquery=105J_103Q_103R_103S_100b&dy_q=1787197413&feature_id=f0150a16a324336cda5d6dd0b69ed299&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=99ce226b43d9514e1d083455d5dd43f0&pwid=1&req_cdn_type=r
                            - >-
                              https://api-play-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=0&file_id=89661743e283486c8b3a0cc8e202a2a3&sign=9bcae3ab9827ae7fb1b4436ed6e2b067&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                            - >-
                              https://api-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=1&file_id=89661743e283486c8b3a0cc8e202a2a3&sign=9bcae3ab9827ae7fb1b4436ed6e2b067&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                          width: 720
                          height: 1378
                          url_key: v0200fg10000cn9fkv3c77u9bk9892m0_h264_720p_2254605
                          data_size: 3848048
                          file_hash: 9bcae3ab9827ae7fb1b4436ed6e2b067
                          file_cs: c:0-15906-a55e|d:0-1924023-c2ec,1924024-3848047-55ac
                        cover:
                          uri: tos-cn-p-0015/owGDoeSuQdlACx0BKlvnbAw9p8A8EevgzO7lgE
                          url_list:
                            - >-
                              https://p3-sign.douyinpic.com/tos-cn-p-0015/owGDoeSuQdlACx0BKlvnbAw9p8A8EevgzO7lgE~tplv-dy-resize-walign-adapt-aq:540:q75.webp?lk3s=138a59ce&x-expires=1788404400&x-signature=RYOjNSKjlFw0hcSFqB5y%2FiPJVFI%3D&from=327834062&s=PackSourceEnum_MUSIC_AWEME&se=false&sc=cover&biz_tag=aweme_video&l=20260820114332ADF9D69E58C512005BAA
                            - >-
                              https://p3-sign.douyinpic.com/tos-cn-p-0015/owGDoeSuQdlACx0BKlvnbAw9p8A8EevgzO7lgE~tplv-dy-resize-walign-adapt-aq:540:q75.jpeg?lk3s=138a59ce&x-expires=1788404400&x-signature=N3WTXLcPCgWP6pRDZnKOlD5WJU4%3D&from=327834062&s=PackSourceEnum_MUSIC_AWEME&se=false&sc=cover&biz_tag=aweme_video&l=20260820114332ADF9D69E58C512005BAA
                          width: 540
                          height: 1034
                        height: 1378
                        width: 720
                        dynamic_cover:
                          uri: tos-cn-p-0015/oAieuClYl2ArPFUlBSeDgpn8A0A9V9yAQubJCv
                          url_list:
                            - >-
                              https://p3-sign.douyinpic.com/obj/tos-cn-p-0015/oAieuClYl2ArPFUlBSeDgpn8A0A9V9yAQubJCv?lk3s=138a59ce&x-expires=1788404400&x-signature=EkuJePanLKf3HeEUPZH33YsXRUM%3D&from=327834062_large&s=PackSourceEnum_MUSIC_AWEME&se=false&sc=dynamic_cover&biz_tag=aweme_video&l=20260820114332ADF9D69E58C512005BAA
                          width: 720
                          height: 720
                        origin_cover:
                          uri: >-
                            tos-cn-i-dy/_offtrans__540x1034_38c87df063bf68b406bcbd2a8bfa2d22_e6416bf8f19bedf12f5c807156f1ff0befabd9a9568d9c91a5eccdc9fbddbb22_vvic
                          url_list:
                            - >-
                              https://p3-sign.douyinpic.com/tos-cn-i-dy/_offtrans__540x1034_38c87df063bf68b406bcbd2a8bfa2d22_e6416bf8f19bedf12f5c807156f1ff0befabd9a9568d9c91a5eccdc9fbddbb22_vvic~tplv-dy-aweme-images-offline.image?lk3s=138a59ce&x-expires=1788404400&x-signature=lTapK5dk6mIHV3FbcERpIiG%2FD8k%3D&from=327834062&s=PackSourceEnum_MUSIC_AWEME&se=false&sc=origin_cover&biz_tag=aweme_video&l=20260820114332ADF9D69E58C512005BAA
                            - >-
                              https://p3-sign.douyinpic.com/tos-cn-p-0015/osuSgw88bEC8xKJlADnAgp0l9dlgeBuAevDobc~tplv-dy-360p.jpeg?lk3s=138a59ce&x-expires=1788404400&x-signature=a68PKyQwHVC3BFX5F%2BjLKaNo%2BbQ%3D&from=327834062&s=PackSourceEnum_MUSIC_AWEME&se=false&sc=origin_cover&biz_tag=aweme_video&l=20260820114332ADF9D69E58C512005BAA
                          width: 360
                          height: 689
                        ratio: 720p
                        download_addr:
                          uri: v0200fg10000cn9fkv3c77u9bk9892m0
                          url_list:
                            - >-
                              https://v9-chc.douyinvod.com/400d8ee59f4e576509a0eed567691cb3/6a868602/video/cn/mps/logo/r/p/v0200fg10000cn9fkv3c77u9bk9892m0/4711c73a34b94499a7dc99b9aaff93ed/mp4/main.mp4?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=0&bt=0&cs=0&ds=3&eid=1280&ft=EagMJhRv.sslC~xlavhEHqKaGt7_CKCEaLN9dug3r8vNM_Q9H6eM&mime_type=video_mp4&qs=0&rc=ZzZpZDw8Zjo8Nzw3ZDo0OkBpMzU7bjw6ZnlpcTMzNGkzM0BiNmNeXzZhXjYxXzAwYC4xYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=1&cquery=103S_100b_105J_103Q_103R&definition=720p&dy_q=1787197413&item_id=7337202588510670116&l=20260820114332ADF9D69E58C512005BAA&logo_type=aweme_search_suffix&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=7556251aad2d4938e386006e46aeef36&pdp=online_xy&pwid=1&req_cdn_type=r
                            - >-
                              https://v6-chc.douyinvod.com/0cd1adc0458de52eba2fb01232e83931/6a868602/video/cn/mps/logo/r/p/v0200fg10000cn9fkv3c77u9bk9892m0/4711c73a34b94499a7dc99b9aaff93ed/mp4/main.mp4?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=0&bt=0&cs=0&ds=3&eid=1280&ft=EagMJhRv.sslC~xlavhEHqKaGt7_CKCEaLN9dug3r8vNM_Q9H6eM&mime_type=video_mp4&qs=0&rc=ZzZpZDw8Zjo8Nzw3ZDo0OkBpMzU7bjw6ZnlpcTMzNGkzM0BiNmNeXzZhXjYxXzAwYC4xYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=1&cquery=103S_100b_105J_103Q_103R&definition=720p&dy_q=1787197413&item_id=7337202588510670116&l=20260820114332ADF9D69E58C512005BAA&logo_type=aweme_search_suffix&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=7556251aad2d4938e386006e46aeef36&pdp=online_xy&pwid=1&req_cdn_type=r
                            - >-
                              https://api-play-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=0&ratio=1080p&watermark=1&media_type=4&vr_type=0&improve_bitrate=0&biz_sign=NRPI1lC4AlkgB1YZ_o3Jx_AfESRKvePEcuHN_9g_Yi68HccpUJtayZJOoLmE9VaaOzLa7CA0Ou-V1V2BgVcVfN8U6U7GDGbNHaUZIZuaRMUGyO7s5wbVW7et0I2xs1hA&logo_name=aweme_search_suffix&source=PackSourceEnum_MUSIC_AWEME
                            - >-
                              https://api-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=1&ratio=1080p&watermark=1&media_type=4&vr_type=0&improve_bitrate=0&biz_sign=NRPI1lC4AlkgB1YZ_o3Jx_AfESRKvePEcuHN_9g_Yi68HccpUJtayZJOoLmE9VaaOzLa7CA0Ou-V1V2BgVcVfN8U6U7GDGbNHaUZIZuaRMUGyO7s5wbVW7et0I2xs1hA&logo_name=aweme_search_suffix&source=PackSourceEnum_MUSIC_AWEME
                          width: 720
                          height: 720
                          data_size: 4501816
                          file_cs: c:0-12165-c4d8
                        has_watermark: true
                        bit_rate:
                          - gear_name: adapt_lowest_720_2
                            quality_type: 15
                            bit_rate: 740858
                            play_addr:
                              uri: v0200fg10000cn9fkv3c77u9bk9892m0
                              url_list:
                                - >-
                                  https://v26-colds.douyinvod.com/616d47b7dca96157edfb62c9d345343a/6a868602/video/tos/cn/tos-cn-ve-15/okTRg0zQNElBfLEpyCNB9Xe2nJimJvAKAhAs1I/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=723&bt=723&cs=5&ds=3&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=15&rc=MztpaDU1NDs3aTQ0Z2U8ZEBpMzU7bjw6ZnlpcTMzNGkzM0AyMi5jMWA0NjQxYzMyLTQ1YSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e0008f008&cdn_type=1&cquery=103R_103S_100b_105J_103Q&dy_q=1787197413&feature_id=376b597adb08e4131bb06a2a106ac0eb&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=e2a585eb907238d35af6c9e5b5518e00&pdp=online_xy&pwid=1&req_cdn_type=r
                                - >-
                                  https://v11-colds.douyinvod.com/fd709abd1c6dd585088158d21ff7f737/6a868602/video/tos/cn/tos-cn-ve-15/okTRg0zQNElBfLEpyCNB9Xe2nJimJvAKAhAs1I/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=723&bt=723&cs=5&ds=3&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=15&rc=MztpaDU1NDs3aTQ0Z2U8ZEBpMzU7bjw6ZnlpcTMzNGkzM0AyMi5jMWA0NjQxYzMyLTQ1YSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=1&cquery=103S_100b_105J_103Q_103R&dy_q=1787197413&feature_id=376b597adb08e4131bb06a2a106ac0eb&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=e2a585eb907238d35af6c9e5b5518e00&pdp=online_xy&pwid=1&req_cdn_type=r
                                - >-
                                  https://api-play-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=0&file_id=8a790b5d61f14f749871c242fe1f5850&sign=9e943d3b0139b19edbb6d83b0c95f2dd&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                                - >-
                                  https://api-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=1&file_id=8a790b5d61f14f749871c242fe1f5850&sign=9e943d3b0139b19edbb6d83b0c95f2dd&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                              width: 720
                              height: 1378
                              url_key: >-
                                v0200fg10000cn9fkv3c77u9bk9892m0_bytevc2_720p_740858
                              data_size: 1264460
                              file_hash: 9e943d3b0139b19edbb6d83b0c95f2dd
                              file_cs: >-
                                c:0-13134-70ed|d:0-632229-7a4e,632230-1264459-3d96|a:v0200fg10000cn9fkv3c77u9bk9892m0
                            is_h265: 2
                            is_bytevc1: 2
                            HDR_type: ''
                            HDR_bit: ''
                            FPS: 30
                            video_extra: >-
                              {"PktOffsetMap":"[{\"frame\": 8, \"offset\":
                              46722}, {\"frame\": 16, \"offset\": 50740},
                              {\"frame\": 24, \"offset\": 55757}, {\"time\": 1,
                              \"offset\": 77607}, {\"time\": 2, \"offset\":
                              132722}, {\"time\": 3, \"offset\": 225127},
                              {\"time\": 4, \"offset\": 302603}, {\"time\": 5,
                              \"offset\": 404862}, {\"time\": 10, \"offset\":
                              955725}]","format":"mp4","definition":"720p","quality":"adapt_lowest","file_id":"8a790b5d61f14f749871c242fe1f5850","applog_map":{"feature_id":"376b597adb08e4131bb06a2a106ac0eb"},"mvmaf":"{\"mvmaf_sr_v1080\":92.147,\"mvmaf_sr_v960\":93.634,\"mvmaf_sr_v864\":94.26,\"mvmaf_sr_v720\":95.986,\"mvmaf_ori_v1080\":85.186,\"mvmaf_ori_v960\":86.714,\"mvmaf_ori_v864\":88.124,\"mvmaf_ori_v720\":91.789}","audio_metrics":null,"audio_score":null}
                            format: mp4
                          - gear_name: adapt_540_2
                            quality_type: 28
                            bit_rate: 619360
                            play_addr:
                              uri: v0200fg10000cn9fkv3c77u9bk9892m0
                              url_list:
                                - >-
                                  https://v11-colds.douyinvod.com/1dd10ccd7f68b6b129ddb3b641f1d828/6a868602/video/tos/cn/tos-cn-ve-15/owEEgq0IXKAJAYlsRfveAThBTzJkNXAi9QBpjC/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=604&bt=604&cs=5&ds=6&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=11&rc=NjNnNWQ4ZDo5MzM8MzVnNkBpMzU7bjw6ZnlpcTMzNGkzM0BeNDE1Ly1iNmMxNGAvXy8xYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=7&cquery=103R_103S_100b_105J_103Q&dy_q=1787197413&feature_id=376b597adb08e4131bb06a2a106ac0eb&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=1581079cf848d4e2342cb4243d55c69f&pwid=1&req_cdn_type=r
                                - >-
                                  https://v9-colds.douyinvod.com/b4ae0e2f39131a47f6a10eb284dfc793/6a868602/video/tos/cn/tos-cn-ve-15/owEEgq0IXKAJAYlsRfveAThBTzJkNXAi9QBpjC/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=604&bt=604&cs=5&ds=6&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=11&rc=NjNnNWQ4ZDo5MzM8MzVnNkBpMzU7bjw6ZnlpcTMzNGkzM0BeNDE1Ly1iNmMxNGAvXy8xYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=7&cquery=103S_100b_105J_103Q_103R&dy_q=1787197413&feature_id=376b597adb08e4131bb06a2a106ac0eb&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=1581079cf848d4e2342cb4243d55c69f&pwid=1&req_cdn_type=r
                                - >-
                                  https://api-play-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=0&file_id=432db220c97040f697ea052a824d70a3&sign=fe6b5aaa21444178f313037c7b27a380&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                                - >-
                                  https://api-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=1&file_id=432db220c97040f697ea052a824d70a3&sign=fe6b5aaa21444178f313037c7b27a380&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                              width: 576
                              height: 1102
                              url_key: >-
                                v0200fg10000cn9fkv3c77u9bk9892m0_bytevc2_540p_619360
                              data_size: 1057093
                              file_hash: fe6b5aaa21444178f313037c7b27a380
                              file_cs: >-
                                c:0-13134-2e4c|d:0-528545-b258,528546-1057092-e7f2|a:v0200fg10000cn9fkv3c77u9bk9892m0
                            is_h265: 2
                            is_bytevc1: 2
                            HDR_type: ''
                            HDR_bit: ''
                            FPS: 30
                            video_extra: >-
                              {"PktOffsetMap":"[{\"frame\": 8, \"offset\":
                              41137}, {\"frame\": 16, \"offset\": 44856},
                              {\"frame\": 24, \"offset\": 49462}, {\"time\": 1,
                              \"offset\": 69579}, {\"time\": 2, \"offset\":
                              117295}, {\"time\": 3, \"offset\": 196187},
                              {\"time\": 4, \"offset\": 263756}, {\"time\": 5,
                              \"offset\": 352212}, {\"time\": 10, \"offset\":
                              816263}]","format":"mp4","definition":"540p","quality":"adapt","file_id":"432db220c97040f697ea052a824d70a3","applog_map":{"feature_id":"376b597adb08e4131bb06a2a106ac0eb"},"mvmaf":"{\"mvmaf_sr_v1080\":89.493,\"mvmaf_sr_v960\":89.804,\"mvmaf_sr_v864\":92.48,\"mvmaf_sr_v720\":93.771,\"mvmaf_ori_v1080\":79.251,\"mvmaf_ori_v960\":81.646,\"mvmaf_ori_v864\":84.322,\"mvmaf_ori_v720\":87.837}","audio_metrics":null,"audio_score":null}
                            format: mp4
                          - gear_name: adapt_lower_540_2
                            quality_type: 21
                            bit_rate: 501062
                            play_addr:
                              uri: v0200fg10000cn9fkv3c77u9bk9892m0
                              url_list:
                                - >-
                                  https://v11-colds.douyinvod.com/c6f20c22f0a4435aa561dbb936cf2031/6a868602/video/tos/cn/tos-cn-ve-15/oQTRg0zNJElDfXEpoCNB9XeGXJiUJvAKAhAsoI/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=489&bt=489&cs=5&ds=6&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=14&rc=MzwzOzw7OWU6Nmk7Nzg5OEBpMzU7bjw6ZnlpcTMzNGkzM0AxMzJiNjM2NjIxMGMvMGIzYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=2&cquery=103R_103S_100b_105J_103Q&dy_q=1787197413&feature_id=376b597adb08e4131bb06a2a106ac0eb&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=3e00c6f725c7df14e09c6b70666ff734&pwid=1&req_cdn_type=r
                                - >-
                                  https://v26-colds.douyinvod.com/2b72bce5daa50eb9eb4be5a2c62ef55d/6a868602/video/tos/cn/tos-cn-ve-15/oQTRg0zNJElDfXEpoCNB9XeGXJiUJvAKAhAsoI/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=489&bt=489&cs=5&ds=6&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=14&rc=MzwzOzw7OWU6Nmk7Nzg5OEBpMzU7bjw6ZnlpcTMzNGkzM0AxMzJiNjM2NjIxMGMvMGIzYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e0008f008&cdn_type=2&cquery=103S_100b_105J_103Q_103R&dy_q=1787197413&feature_id=376b597adb08e4131bb06a2a106ac0eb&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=3e00c6f725c7df14e09c6b70666ff734&pwid=1&req_cdn_type=r
                                - >-
                                  https://api-play-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=0&file_id=65e63524f83f43579b966899e8506940&sign=71a8aa5620a909dc0615905857dced8a&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                                - >-
                                  https://api-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=1&file_id=65e63524f83f43579b966899e8506940&sign=71a8aa5620a909dc0615905857dced8a&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                              width: 576
                              height: 1102
                              url_key: >-
                                v0200fg10000cn9fkv3c77u9bk9892m0_bytevc2_540p_501062
                              data_size: 855189
                              file_hash: 71a8aa5620a909dc0615905857dced8a
                              file_cs: >-
                                c:0-13134-4c5a|d:0-427593-dedc,427594-855188-d94a|a:v0200fg10000cn9fkv3c77u9bk9892m0
                            is_h265: 2
                            is_bytevc1: 2
                            HDR_type: ''
                            HDR_bit: ''
                            FPS: 30
                            video_extra: >-
                              {"PktOffsetMap":"[{\"frame\": 8, \"offset\":
                              35877}, {\"frame\": 16, \"offset\": 39231},
                              {\"frame\": 24, \"offset\": 43178}, {\"time\": 1,
                              \"offset\": 59388}, {\"time\": 2, \"offset\":
                              97411}, {\"time\": 3, \"offset\": 155856},
                              {\"time\": 4, \"offset\": 208178}, {\"time\": 5,
                              \"offset\": 274615}, {\"time\": 10, \"offset\":
                              643392}]","format":"mp4","definition":"540p","quality":"adapt_lower","file_id":"65e63524f83f43579b966899e8506940","applog_map":{"feature_id":"376b597adb08e4131bb06a2a106ac0eb"},"mvmaf":"{\"mvmaf_sr_v1080\":87.044,\"mvmaf_sr_v960\":87.233,\"mvmaf_sr_v864\":90.5,\"mvmaf_sr_v720\":92.127,\"mvmaf_ori_v1080\":76.316,\"mvmaf_ori_v960\":78.885,\"mvmaf_ori_v864\":82.186,\"mvmaf_ori_v720\":85.466}","audio_metrics":null,"audio_score":null}
                            format: mp4
                        duration: 13654
                        play_addr_265:
                          uri: v0200fg10000cn9fkv3c77u9bk9892m0
                          url_list:
                            - >-
                              https://v11-colds.douyinvod.com/5fda83373c32c1b6a605bc831d425bf1/6a868602/video/tos/cn/tos-cn-ve-15/oIiTeXphIR9KQE5IiBflAAXzgsC5BAijNv0AEJ/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=678&bt=678&cs=2&ds=6&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=11&rc=aDdnOTo8NmU6NGU0NDU5ZUBpMzU7bjw6ZnlpcTMzNGkzM0AtMzQtM2A0Xl4xYF81NS4zYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=1&cquery=100b_105J_103Q_103R_103S&dy_q=1787197413&feature_id=c6de0308cacfd993ef282c8e1c646267&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=e7233903666dbdd9d49d44eecd66eec3&pdp=online_xy&pwid=1&req_cdn_type=r
                            - >-
                              https://v26-colds.douyinvod.com/66cf22e59ad6feec16d86c2bae810f98/6a868602/video/tos/cn/tos-cn-ve-15/oIiTeXphIR9KQE5IiBflAAXzgsC5BAijNv0AEJ/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=678&bt=678&cs=2&ds=6&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=11&rc=aDdnOTo8NmU6NGU0NDU5ZUBpMzU7bjw6ZnlpcTMzNGkzM0AtMzQtM2A0Xl4xYF81NS4zYSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e0008f008&cdn_type=1&cquery=103R_103S_100b_105J_103Q&dy_q=1787197413&feature_id=c6de0308cacfd993ef282c8e1c646267&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=e7233903666dbdd9d49d44eecd66eec3&pdp=online_xy&pwid=1&req_cdn_type=r
                            - >-
                              https://api-play-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=0&file_id=6b168281b1cb41a7ab73c967067d640e&sign=8d67e493a0ead617dbc156e0118f1a53&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                            - >-
                              https://api-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=1&file_id=6b168281b1cb41a7ab73c967067d640e&sign=8d67e493a0ead617dbc156e0118f1a53&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                          width: 576
                          height: 1102
                          url_key: v0200fg10000cn9fkv3c77u9bk9892m0_bytevc1_540p_694304
                          data_size: 1185005
                          file_hash: 8d67e493a0ead617dbc156e0118f1a53
                          file_cs: >-
                            c:0-12946-778d|d:0-592501-4522,592502-1185004-3a18|a:v0200fg10000cn9fkv3c77u9bk9892m0
                        is_h265: 0
                        play_addr_h264:
                          uri: v0200fg10000cn9fkv3c77u9bk9892m0
                          url_list:
                            - >-
                              https://v26-colds.douyinvod.com/030b6a8d93ed14012e38ed1263a4977a/6a868602/video/tos/cn/tos-cn-ve-15/ocHAUplige9FD8uAevAuSQInlgpC0VJBYTbVwS/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2201&bt=2201&cs=0&ds=3&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=0&rc=NjU1NTtmZGVmOzY1Njo5PEBpMzU7bjw6ZnlpcTMzNGkzM0BeXi1iYC0wNTMxNWIxLjM1YSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e0008f008&cdn_type=7&cquery=103Q_103R_103S_100b_105J&dy_q=1787197413&feature_id=f0150a16a324336cda5d6dd0b69ed299&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=99ce226b43d9514e1d083455d5dd43f0&pwid=1&req_cdn_type=r
                            - >-
                              https://v11-colds.douyinvod.com/0363e520f21bdfc000220a5a6b2827c6/6a868602/video/tos/cn/tos-cn-ve-15/ocHAUplige9FD8uAevAuSQInlgpC0VJBYTbVwS/?a=1128&ch=8&cr=13&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2201&bt=2201&cs=0&ds=3&ft=XzMbIumuV~..AO5fA3VHFBZE3LbhkOEOF3KjUCd-IJmVjqkwUBM_q&mime_type=video_mp4&qs=0&rc=NjU1NTtmZGVmOzY1Njo5PEBpMzU7bjw6ZnlpcTMzNGkzM0BeXi1iYC0wNTMxNWIxLjM1YSNqNjZfcjQwaDZgLS1kLS9zcw%3D%3D&btag=80010e00088008&cdn_type=7&cquery=105J_103Q_103R_103S_100b&dy_q=1787197413&feature_id=f0150a16a324336cda5d6dd0b69ed299&l=20260820114332ADF9D69E58C512005BAA&n80=1&n80_dm=bjk4LXYtbmNkbi5kb3V5aW52b2QuY29t&n80_tk=99ce226b43d9514e1d083455d5dd43f0&pwid=1&req_cdn_type=r
                            - >-
                              https://api-play-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=0&file_id=89661743e283486c8b3a0cc8e202a2a3&sign=9bcae3ab9827ae7fb1b4436ed6e2b067&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                            - >-
                              https://api-hl.amemv.com/aweme/v1/play/?video_id=v0200fg10000cn9fkv3c77u9bk9892m0&line=1&file_id=89661743e283486c8b3a0cc8e202a2a3&sign=9bcae3ab9827ae7fb1b4436ed6e2b067&is_play_url=1&source=PackSourceEnum_MUSIC_AWEME
                          width: 720
                          height: 1378
                          url_key: v0200fg10000cn9fkv3c77u9bk9892m0_h264_720p_2254605
                          data_size: 3848048
                          file_hash: 9bcae3ab9827ae7fb1b4436ed6e2b067
                          file_cs: c:0-15906-a55e|d:0-1924023-c2ec,1924024-3848047-55ac
                        cdn_url_expired: 1787201026
                        animated_cover:
                          uri: tos-cn-p-0015/owAUO8QgCvAeYDve299FS0biEpngABPAJEulul
                          url_list:
                            - >-
                              https://p3-sign.douyinpic.com/obj/tos-cn-p-0015/owAUO8QgCvAeYDve299FS0biEpngABPAJEulul?lk3s=138a59ce&x-expires=1788404400&x-signature=G9O1mMze6n4GVIViVBwBCvMgf8A%3D&from=327834062_large&s=PackSourceEnum_MUSIC_AWEME&se=false&sc=dynamic_cover&biz_tag=aweme_video&l=20260820114332ADF9D69E58C512005BAA
                        need_set_token: false
                        is_callback: true
                        tags: null
                        big_thumbs: []
                        is_bytevc1: 0
                        meta: >-
                          {"bright_ratio_mean":"0.041","brightness":"79.41","brightness_mean":"189.3384","contrast":"82.11","diff_overexposure_ratio":"0.1733","format":"mp4","gear_vqm":"{\"1080p_720p\":-1,\"720p_540p\":-1}","hrids":"101016852","is_cdn_peak":"false","is_spatial_video":"0","isad":"0","item_info_video_tag_v2_level_1":"611","item_info_video_tag_v2_level_2":"61101","item_info_video_tag_v2_level_3":"6110101","item_info_video_tag_v2_level_4":"611010104","item_info_video_tags_v2_level_1":"611","item_info_video_tags_v2_level_2":"61101","item_info_video_tags_v2_level_3":"6110101","item_info_video_tags_v2_level_4":"611010104","overexposure_ratio_mean":"0.2709","play_time_prob_dist":"[800,0.9148,3219.0796]","qprf":"1.000","sdgs":"[\"adapt_lowest_720_2\",\"adapt_540_2\",\"adapt_lower_540_2\"]","sr_potential":"{\"v1.0\":{\"score\":60.153}}","sr_score":"0.000","std_brightness":"31.3685","strategy_tokens":"[\"online\",\"roi_model_iteration_ab02_1108\",\"roi_model_iteration_ab01_1108\"]","title_info":"{\"bottom_res_add\":[0,0,0,1.27,2,1.18,0.36,0,0,0,1,0.82,0.82,2.09,0],\"bullet_zone\":0.92,\"progress_bar\":[47.67,73.43,99.29],\"ratio_br_l\":[0,0,0,0,0,0],\"ratio_edge_l\":[0.07,0.07,0.05,0.06,0.05,0.05],\"top_res_add\":[0,0,0,0,0,0,0],\"version\":\"v1.0\"}","volume_info":"{\"Loudness\":-16.1,\"Version\":2,\"MaximumMomentaryLoudness\":-12.5,\"MaximumShortTermLoudness\":-14.5,\"Metrics\":{\"Version\":\"1.4.2\",\"Loudness\":{\"Integrated\":-16.126},\"Phase\":{\"RMSDownmixDiff\":-0.983},\"RMSStats\":{\"LRDiff\":4.276,\"LTotal\":-17.304,\"Peak\":-1.732,\"RTotal\":-21.58}},\"Peak\":0.82224,\"LoudnessRange\":2.2,\"LoudnessRangeEnd\":-14.8,\"LoudnessRangeStart\":-16.9}","vqs_origin":"51.36"}
                        is_source_HDR: 0
                        audio:
                          original_sound_infos: null
                        bit_rate_audio: null
                        format: mp4
                      share_url: >-
                        https://www.iesdouyin.com/share/video/7337202588510670116/?region=US&mid=7136850194742315016&u_code=-1&did=MS4wLjABAAAAZ6zt4_Xr65O43oHzAXIYWDCGd9CcAF7plhHtY-_ss-g&iid=MS4wLjABAAAAX_XE0zXlvxGeu-d8uadN5g-YrDRj_Q0CvUDEQlvddnI&with_sec_did=1&video_share_track_ver=&titleType=title&share_sign=RgWkosPlutJjb5TcJe0dTnRBujJEE8VU8tbvp2TG_qg-&share_version=380000&ts=1787197413&from_aid=1128&from_ssr=1&share_track_info=%7B%22link_description_type%22%3A%22%22%7D
                      user_digged: 0
                      statistics:
                        aweme_id: '7337202588510670116'
                        comment_count: 3725
                        digg_count: 60054
                        download_count: 62
                        play_count: 0
                        share_count: 3403
                        forward_count: 0
                        lose_count: 0
                        lose_comment_count: 0
                        whatsapp_share_count: 0
                        digest: ''
                        exposure_count: 0
                        live_watch_count: 0
                        collect_count: 4064
                        recommend_count: 2829
                      status:
                        aweme_id: '7337202588510670116'
                        is_delete: false
                        allow_share: true
                        allow_comment: true
                        is_private: false
                        with_goods: false
                        private_status: 0
                        with_fusion_goods: false
                        in_reviewing: false
                        reviewed: 1
                        self_see: false
                        is_prohibited: false
                        download_status: 0
                        review_result:
                          review_status: 0
                        dont_share_status: 0
                        video_hide_search: 0
                        aweme_edit_info:
                          button_status: 2
                          button_toast: ''
                          edit_status: 0
                          has_modified_all: false
                        part_see: 0
                        listen_video_status: 2
                        allow_friend_recommend: false
                        allow_self_recommend_to_friend: true
                        allow_friend_recommend_guide: true
                        enable_soft_delete: 1
                      rate: 12
                      text_extra:
                        - start: 4
                          end: 8
                          type: 1
                          hashtag_name: 糸师凛
                          hashtag_id: '1740936036575244'
                          is_commerce: false
                          sub_type: 11
                          caption_start: 4
                          caption_end: 8
                      is_top: 0
                      label_top:
                        uri: c150000f34767e2cb56
                        url_list:
                          - >-
                            https://p3-sign.douyinpic.com/obj/c150000f34767e2cb56?lk3s=138a59ce&x-expires=1787238000&x-signature=kp5nsg912PiKRkjL9pvpWShb1AI%3D&from=327834062
                        width: 720
                        height: 720
                      share_info:
                        share_url: >-
                          https://www.iesdouyin.com/share/video/7337202588510670116/?region=US&mid=7136850194742315016&u_code=-1&did=MS4wLjABAAAAZ6zt4_Xr65O43oHzAXIYWDCGd9CcAF7plhHtY-_ss-g&iid=MS4wLjABAAAAX_XE0zXlvxGeu-d8uadN5g-YrDRj_Q0CvUDEQlvddnI&with_sec_did=1&video_share_track_ver=&titleType=title&share_sign=RgWkosPlutJjb5TcJe0dTnRBujJEE8VU8tbvp2TG_qg-&share_version=380000&ts=1787197413&from_aid=1128&from_ssr=1&share_track_info=%7B%22link_description_type%22%3A%22%22%7D
                        share_weibo_desc: '#在抖音，记录美好生活#凛的心房#糸师凛'
                        share_desc: 在抖音，记录美好生活
                        share_title: 凛的心房#糸师凛
                        bool_persist: 0
                        share_title_myself: ''
                        share_title_other: ''
                        share_link_desc: >-
                          5.84 复制打开抖音，看看【巴日和玩水之呼吸的作品】凛的心房# 糸师凛  %s 03/19 zgB:/
                          H@v.sr :0pm 
                        share_signature_url: ''
                        share_signature_desc: ''
                        share_quote: ''
                        share_desc_info: '#在抖音，记录美好生活#凛的心房#糸师凛'
                      distance: ''
                      video_labels: null
                      is_vr: false
                      is_ads: false
                      duration: 13654
                      aweme_type: 0
                      is_fantasy: false
                      cmt_swt: false
                      image_infos: null
                      risk_infos:
                        vote: false
                        warn: false
                        risk_sink: false
                        type: 0
                        content: ''
                      is_relieve: false
                      sort_label: ''
                      position: null
                      uniqid_position: null
                      comment_list: null
                      author_user_id: 95482567278
                      bodydance_score: 0
                      geofencing: []
                      is_hash_tag: 1
                      is_pgcshow: false
                      region: CN
                      video_text: null
                      vr_type: 0
                      collect_stat: 0
                      label_top_text: null
                      promotions: []
                      group_id: '7337202588510670116'
                      prevent_download: false
                      nickname_position: null
                      challenge_position: null
                      item_comment_settings: 0
                      with_promotional_music: false
                      xigua_task:
                        is_xigua_task: false
                      long_video: null
                      item_duet: 0
                      item_react: 0
                      without_watermark: false
                      desc_language: zh
                      interaction_stickers: null
                      misc_info: >-
                        {"common_business_mob":"{}","is_teen_video":0,"music_begin_time":"0","original_gid_distance":0,"original_group_id":"-1"}
                      origin_comment_ids: null
                      commerce_config_data: null
                      distribute_type: 1
                      video_control:
                        allow_download: true
                        share_type: 1
                        show_progress_bar: 0
                        draft_progress_bar: 0
                        allow_duet: true
                        allow_react: true
                        prevent_download_type: 0
                        allow_dynamic_wallpaper: true
                        timer_status: 1
                        allow_music: true
                        allow_stitch: true
                        allow_douplus: true
                        allow_share: true
                        share_grayed: false
                        download_ignore_visibility: true
                        duet_ignore_visibility: true
                        share_ignore_visibility: true
                        download_info:
                          level: 0
                        duet_info:
                          level: 0
                        allow_record: true
                        disable_record_reason: ''
                        timer_info: {}
                        show_ai_corner: false
                        show_watermark: false
                      aweme_control:
                        can_forward: true
                        can_share: true
                        can_comment: true
                        can_show_comment: true
                      has_vs_entry: false
                      commerce_info:
                        ad_type: 0
                        is_ad: false
                      need_vs_entry: true
                      is_preview: 0
                      anchors: null
                      hybrid_label: null
                      geofencing_regions: null
                      have_dashboard: false
                      poi_patch_info:
                        item_patch_poi_prompt_mark: 0
                        extra: ''
                      is_story: 0
                      item_stitch: 0
                      cover_labels: null
                      story_ttl: 0
                      is_first_video: false
                      nearby_level: 0
                      is_in_scope: false
                      images: null
                      poi_biz: {}
                      is_karaoke: false
                      impression_data:
                        group_id_list_a: []
                        group_id_list_b: []
                        similar_id_list_a: null
                        similar_id_list_b: null
                        group_id_list_c: []
                        group_id_list_d: []
                      item_share: 0
                      city: '370100'
                      social_tag_list: null
                      show_follow_button: {}
                      duet_aggregate_in_music_tab: false
                      is_duet_sing: false
                      comment_permission_info:
                        comment_permission_status: 0
                        can_comment: true
                        item_detail_entry: true
                        press_entry: true
                        toast_guide: false
                      original_images: null
                      series_paid_info:
                        series_paid_status: 0
                        item_price: 0
                      comment_gid: 7337202588510670000
                      press_panel_info: >-
                        [{"interactive":["2_story","2_friend"]},{"feedback":["rr_feedback","dislike","ignore","block","unfollow","sever","dislike_collect"]},{"control":["speed","auth","delete","save","collect","reward","bg_play","duet","together"]}]
                      image_album_music_info:
                        begin_time: 0
                        end_time: 208000
                        volume: 100
                      video_tag:
                        - tag_id: 2029
                          tag_name: 随拍
                          level: 1
                        - tag_id: 2029003
                          tag_name: 生活记录
                          level: 2
                        - tag_id: 2029003001
                          tag_name: 日常vlog
                          level: 3
                      is_collects_selected: 0
                      chapter_list: null
                      feed_comment_config:
                        input_config_text: 发条评论，说说你的感受
                        author_audit_status: 0
                        image_challenge:
                          inner_publish_text: 我也发一张
                        common_flags: >-
                          {"api_ab":"0","hashtag":"[{\"name\":\"糸师凛\",\"id\":1740936036575244}]","item_author_nickname":"巴日和玩水之呼吸","video_labels_v2_tag1":"随拍","video_labels_v2_tag2":"生活随拍","video_type":"all"}
                        audio_comment_permission: 1
                        double_publish_limit: 1
                        common_comment_permission: 0
                        input_config_text_type: default_guide
                      is_image_beat: false
                      guide_btn_type: 0
                      standard_bar_info_list: null
                      photo_search_entrance:
                        ecom_type: 0
                      danmaku_control:
                        enable_danmaku: true
                        post_privilege_level: 0
                        is_post_denied: false
                        post_denied_reason: ''
                        skip_danmaku: true
                        danmaku_cnt: 0
                        activities:
                          - id: 1224
                            type: 1
                        pass_through_params: '{}'
                        smart_mode_decision: 0
                      is_life_item: false
                      component_info_v2: '{"desc_lines_limit":0,"hide_marquee":false}'
                      item_warn_notification:
                        type: 0
                        show: false
                        content: ''
                      disable_relation_bar: 0
                      packed_clips: null
                      author_mask_tag: 0
                      user_recommend_status: 1
                      collection_corner_mark: 0
                      image_comment:
                        comment_highlight_text: ''
                      visual_search_info:
                        is_show_img_entrance: false
                        is_ecom_img: false
                        is_high_accuracy_ecom: false
                        is_high_recall_ecom: false
                        panel_entrance_text: 识别图片
                        panel_entrance_intent: default
                        tag_space: others
                      tts_id_list: null
                      ref_tts_id_list: null
                      voice_modify_id_list: null
                      ref_voice_modify_id_list: null
                      authentication_token: >-
                        MS4wLjAAAAAAt0GbcvE8eoD_cgXGmYvEgOaVswM2JxHbs46EavrgZ_XS2982s9wBamsB93QKvSJ84bA0iXqhRWd6CE2HBWgJngzOAWW5hFYpfFq7DwbjZ-5KObuMsNaiD5oW4vcq2RO4h0XLSd6F6TA0dYkluD0MWOVJZMrwX3Z1NaWFlccHXS-xyBUSMXCFLKrcq6l1PiUrtVT_elosRUGb-2yAnJelZSFosVG_6grd9Lyw13LN36RSAQgN4Vxyqbif3HivctKh
                      video_game_data_channel_config: {}
                      distribute_circle:
                        distribute_type: 0
                        campus_block_interaction: false
                        is_campus: false
                      comment_words_recommend:
                        zero_comment: null
                      image_crop_ctrl: 0
                      slides_music_beats: null
                      media_type: 4
                      activity_video_type: -1
                      create_scale_type:
                        - f_w
                      entertainment_product_info:
                        sub_title: null
                        market_info:
                          limit_free:
                            in_free: false
                          marketing_tag: null
                      caption: 凛的心房#糸师凛
                      item_title: ''
                      is_use_music: true
                      original: 0
                      mark_largely_following: false
                      enable_comment_sticker_rec: false
                      video_share_edit_status: 0
                      is_24_story: 0
                      friend_interaction: 0
                      trends_infos: null
                      unified_music_group:
                        song_id: 7136850194742299000
                        title: 深海
                        author: FRESH_ye
                        medium_cover_url:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:200:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        major_ug_id: 7428962309541724000
                        minor_ug_id: 7428962309541741000
                      entertainment_ui_config:
                        flow_bottom_buttons: []
                        block_card_buttons: []
                        landscape_preview_buttons: null
                        landscape_block_buttons: []
                        guidance_buttons: null
                      chapter_bar_color: null
                      flash_mob_trends: 0
                      ent_log_extra:
                        log_extra: >-
                          {"global_log_extra":null,"page_log_extra":null,"aweme_log_extra":{"ce_current_group_id":"7337202588510670116","author_id":"95482567278"},"extra_log_extra":null}
                      friend_recommend_info:
                        friend_recommend_source: 8
                        label_user_list: null
                        disable_friend_recommend_guide_label: false
                      personal_page_botton_diagnose_style: 2
                      aweme_type_tags: ''
                      origin_duet_resource_uri: ''
                      can_cache_to_local: true
                      mv_info: null
                      publish_plus_alienation:
                        alienation_type: 0
                      game_tag_info:
                        is_game: false
                      component_control:
                        data_source_url: /aweme/v1/music/aweme/
                      aweme_listen_struct:
                        trace_info: >-
                          {"copyright_not_speech":"false","copyright_reason":"has_listen_cp_new","copyright_tag_hit":"","copyright_use_aed_default":"false","copyright_use_tag_default":"false","cp_ab":"true","desc":"exclude_play_tag_4","duration_over":"false","hit_high_risk":"false","luna_attr":{"suitable":true},"media_type":"4","reason":"duration_short","show":"false"}
                        listen_diversion:
                          side_desc: 听更多精彩内容
                          popup_scene: 4
                          sub_title_type: relation
                          extra:
                            - key: new_guide_prefix
                              val: 下载汽水
                            - key: old_guide_prefix
                              val: 打开汽水
                      interactive_info:
                        digg_list: null
                        comment_list: null
                        digg_preload_uid_list: null
                      trends_event_track: >-
                        {"recall_id":"7136850194742315016","recall_type":"music_id"}
                      shoot_way: direct_shoot
                      entertainment_video_type: 3
                      effect_inflow_effects: null
                      entertainment_video_paid_way:
                        paid_ways: []
                        paid_type: 0
                        enable_use_new_ent_data: true
                      entertainment_recommend_info: >-
                        {"recommend_free_count":0,"test_info":"","recommend_playlet_trigger_reqid":"","recommend_playlet_trigger_cid":"","recommend_playlet_trigger_reqid_type":"","playlet_continue_play_config":null,"roi3_mode":0,"predict_identity":""}
                      is_moment_story: 0
                      is_moment_history: 0
                      cf_assets_type: 0
                      is_from_ad_auth: false
                      series_basic_info: {}
                      is_new_text_mode: 0
                      douplus_user_type: 0
                      caption_template_id: 0
                      follow_shoot_clip_info:
                        clip_video_all: 7491883543208005000
                        clip_from_platform: 7491883542956346000
                        clip_from_user: 7491883377214098000
                        origin_clip_id: 7136850194742315000
                      is_25_story: 0
                      can_be_oc_cover: true
                      ai_follow_images: null
                      follow_shot_assets: null
                      product_genre_info:
                        product_genre_type: 2
                        material_genre_sub_type_set:
                          - 4
                        special_info:
                          recommend_group_name: 0
                      item_aigc_follow_shot: 1
                      image_follow_shot_assets: null
                      sec_item_id: >-
                        MS4wLjAAAAAASEAdSk1R3S0oi1UhlFhMvBEpfM0AtVgeFPIjTzycuJVKQPOgLNx00fR5F7qAwVRu
                      enable_decorated_emoji: true
                      pack_usage_scene_by_req_path: /aweme/v1/music/aweme/
                      diversion_bar_info: []
                      common_left_top_labels: null
                      is_aigc_media: false
                      preview_title: 凛的心房
                      follow_shoot_property:
                        recommended_camera_mode: video
                      xigua_base_info:
                        status: 0
                        star_altar_order_id: 0
                        star_altar_type: 0
                        item_id: 0
                      is_share_post: false
                      boost_status: 0
                      image_list: null
                      img_bitrate: null
                      libfinsert_task_id: ''
                    - aweme_id: '7578834538936880616'
                      desc: '自然博物馆的鲸奇一定是今年不能错过的展览！#亲子必看 #自然博物馆 #鲸鱼展览 #北京去哪玩 #北京亲子游'
                      create_time: 1764584930
                      author:
                        uid: '60387879139'
                        short_id: '15185072'
                        nickname: 京城大晴晴
                        signature: |-
                          是个宝藏女孩，先关注！
                          谢谢你的关注，希望你开心🥳
                        avatar_larger:
                          uri: >-
                            1080x1080/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_thumb:
                          uri: >-
                            100x100/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_medium:
                          uri: >-
                            720x720/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7.jpeg?from=327834062
                          width: 720
                          height: 720
                        is_verified: true
                        follow_status: 0
                        is_block: false
                        location: ''
                        hide_location: false
                        custom_verify: ''
                        unique_id: ''
                        story_count: 0
                        room_id: 0
                        authority_status: 0
                        verify_info: ''
                        share_info:
                          share_url: ''
                          share_weibo_desc: ''
                          share_desc: ''
                          share_title: ''
                          share_qrcode_url:
                            uri: 216a0028d8a9b498ac45
                            url_list:
                              - >-
                                https://p3-sign.douyinpic.com/obj/216a0028d8a9b498ac45?lk3s=138a59ce&x-expires=1787216400&x-signature=4ATSiSH0k8wMjLxUpPLPngcPx%2Bc%3D&from=327834062
                            width: 720
                            height: 720
                          share_title_myself: ''
                          share_title_other: ''
                          share_desc_info: ''
                        with_commerce_entry: false
                        verification_type: 1
                        enterprise_verify_reason: ''
                        is_ad_fake: false
                        followers_detail: null
                        region: CN
                        sync_to_toutiao: 0
                        commerce_user_level: 0
                        story_message: 4
                        hide_others_recommend_interest: 0
                        hide_self_recommend_interest: 0
                        is_discipline_member: false
                        secret: 0
                        video_icon:
                          uri: ''
                          url_list: []
                          width: 720
                          height: 720
                        is_gov_media_vip: false
                        follower_status: 0
                        cover_url:
                          - uri: c8510002be9a3a61aad2
                            url_list:
                              - >-
                                https://p3-sign.douyinpic.com/obj/c8510002be9a3a61aad2?lk3s=138a59ce&x-expires=1788404400&x-signature=W0Qz%2Fj0450szrC5EUsoRzvcEKT8%3D&from=327834062
                            width: 720
                            height: 720
                        language: zh-Hans
                        allow_story_normal_like: false
                        story25_comment: 0
                        has_unread_story: false
                        is_star: false
                        ad_cover_url: null
                        avatar_168x168:
                          uri: >-
                            168x168/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7
                          url_list:
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7~c5_168x168.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7~c5_168x168.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_300x300:
                          uri: >-
                            300x300/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7
                          url_list:
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7~c5_300x300.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/img/aweme-avatar/tos-cn-avt-0015_50b6bdbc2a58726dbb8490f1edf590f7~c5_300x300.jpeg?from=327834062
                          width: 720
                          height: 720
                        relative_users: null
                        cha_list: null
                        sec_uid: >-
                          MS4wLjABAAAAOHDUvgKLgmS4deADWU7cmEWZkX3BJqqiGjhsBDe4ljU
                        prevent_download: false
                        comment_setting: 0
                        duet_setting: 0
                        download_setting: -1
                        comment_filter_status: 0
                        stitch_setting: 0
                        is_mix_user: false
                        story_ttl: 1
                        story_interactive: 4
                        live_status: 0
                        account_cert_info: '{}'
                        private_relation_list: null
                        risk_notice_text: ''
                      music:
                        id: 7136850194742315000
                        id_str: '7136850194742315016'
                        title: 深海
                        author: FRESH_ye
                        album: ''
                        cover_hd:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:1080:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        cover_large:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:720:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        cover_medium:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:200:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        cover_thumb:
                          uri: tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9
                          url_list:
                            - >-
                              https://p3.douyinpic.com/tos-cn-v-2774c002/7fab9610e0424ef4a78de1ec6b00faa9~tplv-dy-resize-walign-adapt-aq:100:q75.heic?biz_tag=aweme_music&s=PackSourceEnum_MUSIC_AWEME&sc=cover
                          width: 720
                          height: 720
                        play_url:
                          uri: >-
                            https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-ve-2774/o46YfRnIh8C4R3BHMADD5vtMAR9wbZufklBRgW
                          url_list:
                            - >-
                              https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-ve-2774/o46YfRnIh8C4R3BHMADD5vtMAR9wbZufklBRgW
                            - >-
                              https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-ve-2774/o46YfRnIh8C4R3BHMADD5vtMAR9wbZufklBRgW
                          width: 720
                          height: 720
                          url_key: '7136850194742315016'
                        schema_url: ''
                        source_platform: 25
                        start_time: 0
                        end_time: 0
                        duration: 208
                        extra: >-
                          {"aggregate_exempt_conf":[],"aigc_clip":false,"beats":{"audio_effect_onset":"https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/ogFXCQkQnEIXzBadgDbeCTAAm87OAlAtgo0ZSe","beats_tracker":"https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW","energy_trace":"https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/oIvvP2CKaHzEQ8aeTAKA4CNeQzzmFAWEFBvAqe","merged_beats":"https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o8M3AnXQsA8zASlbtgKenNleaFZKXC7VDQtBAV"},"cover_colors":{"rgb":[43,43,43]},"douyin_beats_info":{},"dsp_switch":0,"has_edited":0,"hotsoon_review_time":-1,"image_beats_url":"https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW","is_aed_music":0,"is_red":0,"is_subsidy_exp":false,"long_pic_video_usable":true,"loudness":"-14.396366","mini_luna":true,"music_label_id":1112,"music_tagging":{"AEDs":["non_vocal"],"Genres":["Easy
                          Listening"],"Instruments":null,"Languages":["non_vocal"],"Moods":["Miss","Memory"],"SingingVersions":null,"Themes":null},"peak":"1.0097046","review_unshelve_reason":0,"reviewed":0,"schedule_search_time":0,"with_aed_model":0}
                        user_count: 0
                        position: null
                        collect_stat: 0
                        status: 1
                        offline_desc: ''
                        owner_id: '103125294335'
                        owner_nickname: ''
                        is_original: true
                        mid: '7136850194742315016'
                        binded_challenge_id: 0
                        redirect: false
                        is_restricted: false
                        author_deleted: false
                        is_del_video: false
                        is_video_self_see: false
                        owner_handle: ''
                        author_position: null
                        prevent_download: false
                        strong_beat_url:
                          uri: >-
                            https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o0nDEZEtCBilWgAA9rCBfi00eANhkEnvZa2ixA
                          url_list:
                            - >-
                              https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o0nDEZEtCBilWgAA9rCBfi00eANhkEnvZa2ixA
                            - >-
                              https://sf11-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o0nDEZEtCBilWgAA9rCBfi00eANhkEnvZa2ixA
                          width: 720
                          height: 720
                        unshelve_countries: null
                        prevent_item_download_status: 0
                        external_song_info: []
                        sec_uid: >-
                          MS4wLjABAAAAnlQY0AxmWa32-TITF_r9INsmcPDtFztDbqZfgW7CFk4
                        avatar_thumb:
                          uri: >-
                            100x100/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_medium:
                          uri: >-
                            720x720/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.jpeg?from=327834062
                          width: 720
                          height: 720
                        avatar_large:
                          uri: >-
                            1080x1080/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                          url_list:
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.webp?from=327834062
                            - >-
                              https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea.jpeg?from=327834062
                          width: 720
                          height: 720
                        preview_start_time: 0
                        preview_end_time: 0
                        is_commerce_music: false
                        is_original_sound: false
                        audition_duration: 208
                        shoot_duration: 208
                        reason_type: 0
                        artists:
                          - uid: '103125294335'
                            sec_uid: >-
                              MS4wLjABAAAAnlQY0AxmWa32-TITF_r9INsmcPDtFztDbqZfgW7CFk4
                            nick_name: FRESH_ye
                            handle: FRESHye69513
                            avatar:
                              uri: >-
                                168x168/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea
                              url_list:
                                - >-
                                  https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea~c5_168x168.webp?from=327834062
                                - >-
                                  https://p3.douyinpic.com/img/aweme-avatar/tos-cn-i-0813c001_4db71235c8ef44bdab93b15496e3b8ea~c5_168x168.jpeg?from=327834062
                            is_verified: false
                            enter_type: 1
                        lyric_short_position: null
                        mute_share: false
                        tag_list: null
                        dmv_auto_show: false
                        is_pgc: true
                        is_matched_metadata: false
                        is_audio_url_with_cookie: false
                        music_chart_ranks: null
                        can_background_play: true
                        music_status: 1
                        video_duration: 6000
                        pgc_music_type: 1
                        cover_color_hsv:
                          h: 0
                          s: 0
                          v: 17
                        author_status: 1
                        search_impr:
                          entity_id: '7136850194742315016'
                        song:
                          id: 7136850194742299000
                          id_str: '7136850194742298632'
                          title: 深海
                          artists: null
                          chorus:
                            start_ms: 25152
                            duration_ms: 68352
                          chorus_v3_infos: null
                        artist_user_infos: null
                        dsp_status: 0
                        musician_user_infos: null
                        music_image_beats:
                          music_image_beats_url:
                            uri: >-
                              tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW
                            url_list:
                              - >-
                                https://sf6-cdn-tos.douyinstatic.com/obj/tos-cn-v-2774c002/o4fgAPvQgA4mBRK2aAEekaKeaFz0vFOdHQkCAW
                            width: 720
                            height: 720
                        music_collect_count: 0
                        music_cover_atmosphere_color_value: ''
                        show_origin_clip: false
                        talent_hashtag_name_list: null
                      cha_list:
                        - cid: '1618348408637448'
                          cha_name: 北京亲子游
                          desc: ''
                          schema: aweme://aweme/challenge/detail?cid=1618348408637448
                          author:
                            uid: '0'
                            short_id: '0'
                            nickname: ''
                            gender: 0
                            signature: ''
                            avatar_larger:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            avatar_thumb:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            avatar_medium:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            birthday: ''
                            follow_status: 0
                            is_block: false
                            constellation: 0
                            unique_id: ''
                            bind_phone: ''
                            followers_detail: null
                            region: ''
                            platform_sync_info: null
                            show_image_bubble: false
                            geofencing: null
                            unique_id_modify_time: 0
                            video_icon:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            with_dou_entry: false
                            is_phone_binded: false
                            has_email: false
                            status: 0
                            create_time: 0
                            avatar_uri: ''
                            cover_url: []
                            language: ''
                            item_list: null
                            new_story_cover: null
                            type_label: null
                            ad_cover_url: null
                            avatar_168x168:
                              uri: ''
                              url_list: []
                              width: 720
                              height: 720
                            avatar_300x300:
                              uri: ''
                              url_list: []
                              width: 720
[...]
